	.file	"flybox.cpp"
	.text
	.section	.text._ZNSt6vectorI7M_ColorSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI7M_ColorSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.type	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev, @function
_ZNSt6vectorI7M_ColorSaIS0_EED2Ev:
.LFB3812:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L1
	call	_ZdlPv
.L1:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3812:
	.size	_ZNSt6vectorI7M_ColorSaIS0_EED2Ev, .-_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EED1Ev
	.set	_ZNSt6vectorI7M_ColorSaIS0_EED1Ev,_ZNSt6vectorI7M_ColorSaIS0_EED2Ev
	.section	.text._ZNSt6vectorI8M_VertexSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI8M_VertexSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.type	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev, @function
_ZNSt6vectorI8M_VertexSaIS0_EED2Ev:
.LFB3818:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L3
	call	_ZdlPv
.L3:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3818:
	.size	_ZNSt6vectorI8M_VertexSaIS0_EED2Ev, .-_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EED1Ev
	.set	_ZNSt6vectorI8M_VertexSaIS0_EED1Ev,_ZNSt6vectorI8M_VertexSaIS0_EED2Ev
	.section	.text._ZNSt6vectorI8M_TexturSaIS0_EED2Ev,"axG",@progbits,_ZNSt6vectorI8M_TexturSaIS0_EED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.type	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev, @function
_ZNSt6vectorI8M_TexturSaIS0_EED2Ev:
.LFB3815:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L5
	call	_ZdlPv
.L5:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3815:
	.size	_ZNSt6vectorI8M_TexturSaIS0_EED2Ev, .-_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EED1Ev
	.set	_ZNSt6vectorI8M_TexturSaIS0_EED1Ev,_ZNSt6vectorI8M_TexturSaIS0_EED2Ev
	.section	.text._ZNSt6vectorIfSaIfEED2Ev,"axG",@progbits,_ZNSt6vectorIfSaIfEED5Ev,comdat
	.align 2
	.weak	_ZNSt6vectorIfSaIfEED2Ev
	.type	_ZNSt6vectorIfSaIfEED2Ev, @function
_ZNSt6vectorIfSaIfEED2Ev:
.LFB3809:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	(%rdi), %rdi
	testq	%rdi, %rdi
	je	.L7
	call	_ZdlPv
.L7:
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3809:
	.size	_ZNSt6vectorIfSaIfEED2Ev, .-_ZNSt6vectorIfSaIfEED2Ev
	.weak	_ZNSt6vectorIfSaIfEED1Ev
	.set	_ZNSt6vectorIfSaIfEED1Ev,_ZNSt6vectorIfSaIfEED2Ev
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	" PNG TEXTURES BOX: "
.LC1:
	.string	" TARGA TEXTURES BOX: "
	.text
	.align 2
	.globl	_ZN6FLYBOX13textureLoaderEv
	.type	_ZN6FLYBOX13textureLoaderEv, @function
_ZN6FLYBOX13textureLoaderEv:
.LFB3088:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$392, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movabsq	$5496132399879702864, %rax
	movabsq	$3344875103737299545, %rdx
	movq	%rax, -48(%rbp)
	movq	%rdx, -40(%rbp)
	movl	$6778480, -32(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347425970713739865, %rdx
	movq	%rax, -80(%rbp)
	movq	%rdx, -72(%rbp)
	movl	$6778480, -64(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347412776574206553, %rdx
	movq	%rax, -112(%rbp)
	movq	%rdx, -104(%rbp)
	movl	$6778480, -96(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347419373643973209, %rdx
	movq	%rax, -144(%rbp)
	movq	%rdx, -136(%rbp)
	movl	$6778480, -128(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3346303369341780569, %rdx
	movq	%rax, -176(%rbp)
	movq	%rdx, -168(%rbp)
	movl	$6778480, -160(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3345721727690687065, %rdx
	movq	%rax, -208(%rbp)
	movq	%rdx, -200(%rbp)
	movl	$6778480, -192(%rbp)
	movl	$nor, %edx
	leaq	-48(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$eas, %edx
	leaq	-80(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$sou, %edx
	leaq	-112(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$wes, %edx
	leaq	-144(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$top, %edx
	leaq	-176(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$bot, %edx
	leaq	-208(%rbp), %rsi
	movl	$png4, %edi
	call	_ZN3PNG8read_pngEPKcPPh
	movl	$19, %edx
	movl	$.LC0, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L16
	cmpb	$0, 56(%rbx)
	je	.L11
	movzbl	67(%rbx), %esi
.L12:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movabsq	$5496132399879702864, %rax
	movabsq	$3344875103737299545, %rdx
	movq	%rax, -240(%rbp)
	movq	%rdx, -232(%rbp)
	movl	$6383476, -224(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347425970713739865, %rdx
	movq	%rax, -272(%rbp)
	movq	%rdx, -264(%rbp)
	movl	$6383476, -256(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347412776574206553, %rdx
	movq	%rax, -304(%rbp)
	movq	%rdx, -296(%rbp)
	movl	$6383476, -288(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3347419373643973209, %rdx
	movq	%rax, -336(%rbp)
	movq	%rdx, -328(%rbp)
	movl	$6383476, -320(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3346303369341780569, %rdx
	movq	%rax, -368(%rbp)
	movq	%rdx, -360(%rbp)
	movl	$6383476, -352(%rbp)
	movabsq	$5496132399879702864, %rax
	movabsq	$3345721727690687065, %rdx
	movq	%rax, -400(%rbp)
	movq	%rdx, -392(%rbp)
	movl	$6383476, -384(%rbp)
	movl	$nor, %edx
	leaq	-240(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$eas, %edx
	leaq	-272(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$sou, %edx
	leaq	-304(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$wes, %edx
	leaq	-336(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$top, %edx
	leaq	-368(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$bot, %edx
	leaq	-400(%rbp), %rsi
	movl	$targa4, %edi
	call	_ZN5TARGA9readTargaEPKcPPh
	movl	$21, %edx
	movl	$.LC1, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L17
	cmpb	$0, 56(%rbx)
	je	.L14
	movzbl	67(%rbx), %esi
.L15:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L16:
	.cfi_restore_state
	call	_ZSt16__throw_bad_castv
.L11:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L12
.L17:
	call	_ZSt16__throw_bad_castv
.L14:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L15
	.cfi_endproc
.LFE3088:
	.size	_ZN6FLYBOX13textureLoaderEv, .-_ZN6FLYBOX13textureLoaderEv
	.align 2
	.globl	_ZN6FLYBOX13MipmapsImage2EiiPh
	.type	_ZN6FLYBOX13MipmapsImage2EiiPh, @function
_ZN6FLYBOX13MipmapsImage2EiiPh:
.LFB3089:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rcx, %rbx
	movl	$3553, %edi
	call	glEnable
	movl	$3553, %edi
	call	*__glewGenerateMipmap(%rip)
	movl	$9729, %edx
	movl	$10240, %esi
	movl	$3553, %edi
	call	glTexParameteri
	movl	$9986, %edx
	movl	$10241, %esi
	movl	$3553, %edi
	call	glTexParameteri
	subq	$8, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$128, %r8d
	movl	$128, %ecx
	movl	$32856, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$64, %r8d
	movl	$64, %ecx
	movl	$32856, %edx
	movl	$1, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$32, %r8d
	movl	$32, %ecx
	movl	$32856, %edx
	movl	$2, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$16, %r8d
	movl	$16, %ecx
	movl	$32856, %edx
	movl	$3, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$8, %r8d
	movl	$8, %ecx
	movl	$32856, %edx
	movl	$4, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$4, %r8d
	movl	$4, %ecx
	movl	$32856, %edx
	movl	$5, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$2, %r8d
	movl	$2, %ecx
	movl	$32856, %edx
	movl	$6, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$24, %rsp
	pushq	%rbx
	pushq	$5121
	pushq	$32993
	movl	$0, %r9d
	movl	$1, %r8d
	movl	$1, %ecx
	movl	$32856, %edx
	movl	$7, %esi
	movl	$3553, %edi
	call	glTexImage2D
	addq	$32, %rsp
	movl	$9729, %edx
	movl	$10240, %esi
	movl	$3553, %edi
	call	glTexParameteri
	movl	$9986, %edx
	movl	$10241, %esi
	movl	$3553, %edi
	call	glTexParameteri
	subq	$8, %rsp
	pushq	%rbx
	movl	$5121, %r9d
	movl	$32993, %r8d
	movl	$128, %ecx
	movl	$128, %edx
	movl	$32856, %esi
	movl	$3553, %edi
	call	gluBuild2DMipmaps
	addq	$16, %rsp
	movl	$cubeMapTexAD, %esi
	movl	$1, %edi
	call	glGenTextures
	movl	cubeMapTexAD(%rip), %esi
	movl	$34067, %edi
	call	glBindTexture
	movl	$9729, %edx
	movl	$10241, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$10242, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$10243, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movl	$33071, %edx
	movl	$32882, %esi
	movl	$34067, %edi
	call	glTexParameteri
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3089:
	.size	_ZN6FLYBOX13MipmapsImage2EiiPh, .-_ZN6FLYBOX13MipmapsImage2EiiPh
	.align 2
	.globl	_ZN6FLYBOX9vertexBoxEv
	.type	_ZN6FLYBOX9vertexBoxEv, @function
_ZN6FLYBOX9vertexBoxEv:
.LFB3091:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	$0, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	$2, %edi
	call	*__glewEnableVertexAttribArrayARB(%rip)
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	colors4(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$2, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vertices4(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$3, %esi
	movl	$0, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	texCoords4(%rip), %r9
	movl	$0, %r8d
	movl	$0, %ecx
	movl	$5126, %edx
	movl	$2, %esi
	movl	$1, %edi
	call	*__glewVertexAttribPointerARB(%rip)
	movl	$0, %ebx
.L20:
	movl	48(%r12,%rbx), %esi
	movl	$3553, %edi
	call	glBindTexture
	movl	$4, %edx
	movl	%ebx, %esi
	movl	$7, %edi
	call	glDrawArrays
	addq	$4, %rbx
	cmpq	$24, %rbx
	jne	.L20
	movl	$2, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$1, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	movl	$0, %edi
	call	*__glewDisableVertexAttribArrayARB(%rip)
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3091:
	.size	_ZN6FLYBOX9vertexBoxEv, .-_ZN6FLYBOX9vertexBoxEv
	.align 2
	.globl	_ZN6FLYBOX9renderBoxEv
	.type	_ZN6FLYBOX9renderBoxEv, @function
_ZN6FLYBOX9renderBoxEv:
.LFB3092:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	$32886, %edi
	call	glEnableClientState
	movl	$32884, %edi
	call	glEnableClientState
	movl	$32888, %edi
	call	glEnableClientState
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	colors4(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$4, %edi
	call	glColorPointer
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	vertices4(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$3, %edi
	call	glVertexPointer
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movq	texCoords4(%rip), %rcx
	movl	$0, %edx
	movl	$5126, %esi
	movl	$2, %edi
	call	glTexCoordPointer
	movl	$0, %ebx
.L23:
	movl	48(%r12,%rbx), %esi
	movl	$3553, %edi
	call	glBindTexture
	movl	$4, %edx
	movl	%ebx, %esi
	movl	$7, %edi
	call	glDrawArrays
	addq	$4, %rbx
	cmpq	$24, %rbx
	jne	.L23
	movl	$32888, %edi
	call	glDisableClientState
	movl	$32884, %edi
	call	glDisableClientState
	movl	$32886, %edi
	call	glDisableClientState
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3092:
	.size	_ZN6FLYBOX9renderBoxEv, .-_ZN6FLYBOX9renderBoxEv
	.section	.rodata.str1.1
.LC2:
	.string	"modelview_matrix"
.LC3:
	.string	"projection_matrix"
	.text
	.align 2
	.globl	_ZN6FLYBOX6renderEfffj
	.type	_ZN6FLYBOX6renderEfffj, @function
_ZN6FLYBOX6renderEfffj:
.LFB3093:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
1:	call	mcount
	movss	%xmm0, -4(%rbp)
	movss	%xmm1, -8(%rbp)
	movss	%xmm2, -12(%rbp)
	movl	$6914, %esi
	movl	$1032, %edi
	call	glPolygonMode
	call	glPushMatrix
	movss	-12(%rbp), %xmm2
	movss	-8(%rbp), %xmm1
	movss	-4(%rbp), %xmm0
	call	glTranslatef
	movl	$_ZZN6FLYBOX6renderEfffjE15modelviewMatrix, %esi
	movl	$2982, %edi
	call	glGetFloatv
	movl	$_ZZN6FLYBOX6renderEfffjE16projectionMatrix, %esi
	movl	$2983, %edi
	call	glGetFloatv
	movl	$_ZZN6FLYBOX6renderEfffjE15modelviewMatrix, %r8d
	movl	$0, %ecx
	movl	$.LC2, %edx
	movl	f(%rip), %esi
	movl	$uniform4, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	movl	$_ZZN6FLYBOX6renderEfffjE16projectionMatrix, %r8d
	movl	$1, %ecx
	movl	$.LC3, %edx
	movl	f(%rip), %esi
	movl	$uniform4, %edi
	call	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	movl	$2929, %edi
	call	glDisable
	movl	$box4, %edi
	call	_ZN6FLYBOX9renderBoxEv
	movl	$vbos4, %esi
	movl	$4, %edi
	call	*__glewDeleteBuffers(%rip)
	movl	$2929, %edi
	call	glEnable
	call	glPopMatrix
	movl	$3553, %edi
	call	glDisable
	call	glFlush
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3093:
	.size	_ZN6FLYBOX6renderEfffj, .-_ZN6FLYBOX6renderEfffj
	.section	.rodata._ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_.str1.1,"aMS",@progbits,1
.LC4:
	.string	"vector::_M_realloc_insert"
	.section	.text._ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,"axG",@progbits,_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.type	_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, @function
_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_:
.LFB3582:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$56, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movq	%rdi, %r15
	movq	%rsi, %r13
	movq	%rdx, -80(%rbp)
	movq	%rsi, %rbx
	movq	8(%rdi), %r12
	movq	(%rdi), %r14
	movq	%r12, %rax
	subq	%r14, %rax
	sarq	$4, %rax
	movabsq	$576460752303423487, %rdx
	cmpq	%rdx, %rax
	je	.L43
	cmpq	%r14, %r12
	movl	$1, %edx
	cmovne	%rax, %rdx
	addq	%rdx, %rax
	jc	.L29
	movabsq	$576460752303423487, %rdx
	cmpq	%rdx, %rax
	cmovbe	%rax, %rdx
	movq	%rdx, -64(%rbp)
	movq	%rsi, %rdi
	subq	%r14, %rdi
	movq	%rdi, -88(%rbp)
	movq	$0, -56(%rbp)
	testq	%rax, %rax
	je	.L30
	jmp	.L36
.L43:
	movl	$.LC4, %edi
	call	_ZSt20__throw_length_errorPKc
.L39:
	movq	-56(%rbp), %rcx
	jmp	.L31
.L29:
	movq	%rsi, %rax
	subq	%r14, %rax
	movq	%rax, -88(%rbp)
	movabsq	$576460752303423487, %rax
	movq	%rax, -64(%rbp)
.L36:
	movq	-64(%rbp), %rdi
	salq	$4, %rdi
	call	_Znwm
	movq	%rax, -56(%rbp)
.L30:
	movq	-80(%rbp), %rax
	movdqu	(%rax), %xmm2
	movaps	%xmm2, -80(%rbp)
	movq	-56(%rbp), %rax
	movq	-88(%rbp), %rdi
	movups	%xmm2, (%rax,%rdi)
	cmpq	%r14, %r13
	je	.L39
	movq	%r13, %rcx
	subq	%r14, %rcx
	addq	%rax, %rcx
	movq	%r14, %rdx
.L32:
	movdqu	(%rdx), %xmm0
	movups	%xmm0, (%rax)
	addq	$16, %rdx
	addq	$16, %rax
	cmpq	%rcx, %rax
	jne	.L32
.L31:
	leaq	16(%rcx), %rax
	movq	%rax, -80(%rbp)
	cmpq	%r12, %r13
	je	.L33
	movq	%r12, %rdx
	subq	%r13, %rdx
.L34:
	movdqu	(%rbx), %xmm1
	movups	%xmm1, (%rax)
	addq	$16, %rbx
	addq	$16, %rax
	cmpq	%r12, %rbx
	jne	.L34
	addq	%rdx, -80(%rbp)
.L33:
	testq	%r14, %r14
	je	.L35
	movq	%r14, %rdi
	call	_ZdlPv
.L35:
	movq	-56(%rbp), %rsi
	movq	%rsi, (%r15)
	movq	-80(%rbp), %rax
	movq	%rax, 8(%r15)
	movq	-64(%rbp), %rax
	salq	$4, %rax
	addq	%rsi, %rax
	movq	%rax, 16(%r15)
	addq	$56, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3582:
	.size	_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, .-_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.section	.text._ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_,"axG",@progbits,_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.type	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_, @function
_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_:
.LFB3501:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	8(%rdi), %rax
	cmpq	16(%rdi), %rax
	je	.L45
	movdqu	(%rsi), %xmm0
	movups	%xmm0, (%rax)
	addq	$16, 8(%rdi)
.L44:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L45:
	.cfi_restore_state
	movq	%rsi, %rdx
	movq	%rax, %rsi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	jmp	.L44
	.cfi_endproc
.LFE3501:
	.size	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_, .-_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.section	.text._ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,"axG",@progbits,_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.type	_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, @function
_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_:
.LFB3589:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$40, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movq	%rdi, %r14
	movq	%rsi, %rbx
	movq	%rdx, -56(%rbp)
	movq	8(%rdi), %r12
	movq	(%rdi), %r13
	movq	%r12, %rax
	subq	%r13, %rax
	sarq	$2, %rax
	movabsq	$-6148914691236517205, %rdx
	imulq	%rdx, %rax
	movabsq	$768614336404564650, %rdx
	cmpq	%rdx, %rax
	je	.L64
	cmpq	%r13, %r12
	movl	$1, %edx
	cmovne	%rax, %rdx
	addq	%rdx, %rax
	jc	.L50
	movabsq	$768614336404564650, %rdx
	cmpq	%rdx, %rax
	cmovbe	%rax, %rdx
	movq	%rdx, -64(%rbp)
	subq	%r13, %rsi
	movq	%rsi, -72(%rbp)
	movl	$0, %r15d
	testq	%rax, %rax
	je	.L51
	jmp	.L57
.L64:
	movl	$.LC4, %edi
	call	_ZSt20__throw_length_errorPKc
.L60:
	movq	%r15, %rax
	jmp	.L52
.L50:
	movq	%rsi, %rax
	subq	%r13, %rax
	movq	%rax, -72(%rbp)
	movabsq	$768614336404564650, %rax
	movq	%rax, -64(%rbp)
.L57:
	movq	-64(%rbp), %rax
	leaq	(%rax,%rax,2), %rdi
	salq	$2, %rdi
	call	_Znwm
	movq	%rax, %r15
.L51:
	movq	-56(%rbp), %rsi
	movq	(%rsi), %rax
	movq	-72(%rbp), %rdi
	movq	%rax, (%r15,%rdi)
	movl	8(%rsi), %eax
	movl	%eax, 8(%r15,%rdi)
	cmpq	%r13, %rbx
	je	.L60
	movq	%r15, %rdx
	movq	%r13, %rax
.L53:
	movq	(%rax), %rcx
	movq	%rcx, (%rdx)
	movl	8(%rax), %ecx
	movl	%ecx, 8(%rdx)
	addq	$12, %rax
	addq	$12, %rdx
	cmpq	%rbx, %rax
	jne	.L53
	leaq	-12(%rbx), %rax
	subq	%r13, %rax
	shrq	$2, %rax
	movabsq	$3074457345618258603, %rdx
	imulq	%rdx, %rax
	movabsq	$4611686018427387903, %rdx
	andq	%rdx, %rax
	leaq	3(%rax,%rax,2), %rax
	leaq	(%r15,%rax,4), %rax
.L52:
	addq	$12, %rax
	movq	%rax, %rdx
	movq	%rax, -56(%rbp)
	cmpq	%r12, %rbx
	je	.L54
	movq	%rbx, %rax
.L55:
	movq	(%rax), %rcx
	movq	%rcx, (%rdx)
	movl	8(%rax), %ecx
	movl	%ecx, 8(%rdx)
	addq	$12, %rax
	addq	$12, %rdx
	cmpq	%r12, %rax
	jne	.L55
	subq	%rbx, %r12
	leaq	-12(%r12), %rax
	shrq	$2, %rax
	movabsq	$3074457345618258603, %rdx
	imulq	%rdx, %rax
	movabsq	$4611686018427387903, %rdx
	andq	%rdx, %rax
	leaq	3(%rax,%rax,2), %rax
	movq	-56(%rbp), %rsi
	leaq	(%rsi,%rax,4), %rax
	movq	%rax, -56(%rbp)
.L54:
	testq	%r13, %r13
	je	.L56
	movq	%r13, %rdi
	call	_ZdlPv
.L56:
	movq	%r15, (%r14)
	movq	-56(%rbp), %rax
	movq	%rax, 8(%r14)
	movq	-64(%rbp), %rax
	leaq	(%rax,%rax,2), %rax
	leaq	(%r15,%rax,4), %rax
	movq	%rax, 16(%r14)
	addq	$40, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3589:
	.size	_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, .-_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.section	.text._ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_,"axG",@progbits,_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.type	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_, @function
_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_:
.LFB3504:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	%rsi, %rdx
	movq	8(%rdi), %rsi
	cmpq	16(%rdi), %rsi
	je	.L66
	movq	(%rdx), %rax
	movq	%rax, (%rsi)
	movl	8(%rdx), %eax
	movl	%eax, 8(%rsi)
	addq	$12, 8(%rdi)
.L65:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L66:
	.cfi_restore_state
	call	_ZNSt6vectorI8M_VertexSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	jmp	.L65
	.cfi_endproc
.LFE3504:
	.size	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_, .-_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.section	.text._ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,"axG",@progbits,_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.type	_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, @function
_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_:
.LFB3596:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$40, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movq	%rdi, %r15
	movq	%rsi, %r13
	movq	%rdx, -64(%rbp)
	movq	%rsi, %rbx
	movq	8(%rdi), %r12
	movq	(%rdi), %r14
	movq	%r12, %rax
	subq	%r14, %rax
	sarq	$3, %rax
	movabsq	$1152921504606846975, %rdx
	cmpq	%rdx, %rax
	je	.L85
	cmpq	%r14, %r12
	movl	$1, %edx
	cmovne	%rax, %rdx
	addq	%rdx, %rax
	jc	.L71
	movabsq	$1152921504606846975, %rdx
	cmpq	%rdx, %rax
	cmovbe	%rax, %rdx
	movq	%rdx, -72(%rbp)
	movq	%rsi, %rdi
	subq	%r14, %rdi
	movq	%rdi, -80(%rbp)
	movq	$0, -56(%rbp)
	testq	%rax, %rax
	je	.L72
	jmp	.L78
.L85:
	movl	$.LC4, %edi
	call	_ZSt20__throw_length_errorPKc
.L81:
	movq	-56(%rbp), %rsi
	jmp	.L73
.L71:
	movq	%rsi, %rax
	subq	%r14, %rax
	movq	%rax, -80(%rbp)
	movabsq	$1152921504606846975, %rax
	movq	%rax, -72(%rbp)
.L78:
	movq	-72(%rbp), %rax
	leaq	0(,%rax,8), %rdi
	call	_Znwm
	movq	%rax, -56(%rbp)
.L72:
	movq	-64(%rbp), %rax
	movq	(%rax), %rax
	movq	-56(%rbp), %rdi
	movq	-80(%rbp), %rsi
	movq	%rax, (%rdi,%rsi)
	cmpq	%r14, %r13
	je	.L81
	movq	%r13, %rsi
	subq	%r14, %rsi
	movq	%rdi, %rax
	addq	%rdi, %rsi
	movq	%r14, %rdx
.L74:
	movq	(%rdx), %rcx
	movq	%rcx, (%rax)
	addq	$8, %rdx
	addq	$8, %rax
	cmpq	%rsi, %rax
	jne	.L74
.L73:
	leaq	8(%rsi), %rax
	movq	%rax, -64(%rbp)
	cmpq	%r12, %r13
	je	.L75
	movq	%r12, %rcx
	subq	%r13, %rcx
.L76:
	movq	(%rbx), %rdx
	movq	%rdx, (%rax)
	addq	$8, %rbx
	addq	$8, %rax
	cmpq	%r12, %rbx
	jne	.L76
	addq	%rcx, -64(%rbp)
.L75:
	testq	%r14, %r14
	je	.L77
	movq	%r14, %rdi
	call	_ZdlPv
.L77:
	movq	-56(%rbp), %rax
	movq	%rax, (%r15)
	movq	-64(%rbp), %rdi
	movq	%rdi, 8(%r15)
	movq	-72(%rbp), %rdi
	leaq	(%rax,%rdi,8), %rax
	movq	%rax, 16(%r15)
	addq	$40, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3596:
	.size	_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_, .-_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	.section	.text._ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_,"axG",@progbits,_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_,comdat
	.align 2
	.weak	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.type	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_, @function
_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_:
.LFB3507:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movq	8(%rdi), %rax
	cmpq	16(%rdi), %rax
	je	.L87
	movq	(%rsi), %rdx
	movq	%rdx, (%rax)
	addq	$8, 8(%rdi)
.L86:
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L87:
	.cfi_restore_state
	movq	%rsi, %rdx
	movq	%rax, %rsi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE17_M_realloc_insertIJS0_EEEvN9__gnu_cxx17__normal_iteratorIPS0_S2_EEDpOT_
	jmp	.L86
	.cfi_endproc
.LFE3507:
	.size	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_, .-_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	.text
	.align 2
	.globl	_ZN6FLYBOX7initBoxEv
	.type	_ZN6FLYBOX7initBoxEv, @function
_ZN6FLYBOX7initBoxEv:
.LFB3090:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$872, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	leaq	48(%rdi), %rsi
	movl	$6, %edi
	call	glGenTextures
	movq	wes(%rip), %rcx
	movl	$1, %edx
	movl	$4, %esi
	movl	$box4, %edi
	call	_ZN6FLYBOX13MipmapsImage2EiiPh
	movl	.LC5(%rip), %r15d
	movl	%r15d, -912(%rbp)
	movl	%r15d, -908(%rbp)
	movl	%r15d, -904(%rbp)
	movl	.LC6(%rip), %ebx
	movl	%ebx, -900(%rbp)
	leaq	-912(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -896(%rbp)
	movl	%r15d, -892(%rbp)
	movl	%r15d, -888(%rbp)
	movl	%ebx, -884(%rbp)
	leaq	-896(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -880(%rbp)
	movl	%r15d, -876(%rbp)
	movl	%r15d, -872(%rbp)
	movl	%ebx, -868(%rbp)
	leaq	-880(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -864(%rbp)
	movl	%r15d, -860(%rbp)
	movl	%r15d, -856(%rbp)
	movl	%ebx, -852(%rbp)
	leaq	-864(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	.LC7(%rip), %r13d
	movl	%r13d, -848(%rbp)
	movl	.LC8(%rip), %r12d
	movl	%r12d, -844(%rbp)
	movl	%r13d, -840(%rbp)
	leaq	-848(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -836(%rbp)
	movl	%r12d, -832(%rbp)
	movl	%r13d, -828(%rbp)
	leaq	-836(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -824(%rbp)
	movl	%r12d, -820(%rbp)
	movl	%r12d, -816(%rbp)
	leaq	-824(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -812(%rbp)
	movl	%r12d, -808(%rbp)
	movl	%r12d, -804(%rbp)
	leaq	-812(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -800(%rbp)
	movl	$0x00000000, -796(%rbp)
	leaq	-800(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	.LC10(%rip), %r14d
	movl	%r14d, -792(%rbp)
	movl	$0x00000000, -788(%rbp)
	leaq	-792(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -784(%rbp)
	movl	%r14d, -780(%rbp)
	leaq	-784(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -776(%rbp)
	movl	%r14d, -772(%rbp)
	leaq	-776(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -768(%rbp)
	movl	%r15d, -764(%rbp)
	movl	%r15d, -760(%rbp)
	movl	%ebx, -756(%rbp)
	leaq	-768(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -752(%rbp)
	movl	%r15d, -748(%rbp)
	movl	%r15d, -744(%rbp)
	movl	%ebx, -740(%rbp)
	leaq	-752(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -736(%rbp)
	movl	%r15d, -732(%rbp)
	movl	%r15d, -728(%rbp)
	movl	%ebx, -724(%rbp)
	leaq	-736(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -720(%rbp)
	movl	%r15d, -716(%rbp)
	movl	%r15d, -712(%rbp)
	movl	%ebx, -708(%rbp)
	leaq	-720(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -704(%rbp)
	movl	%r13d, -700(%rbp)
	movl	%r13d, -696(%rbp)
	leaq	-704(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -692(%rbp)
	movl	%r13d, -688(%rbp)
	movl	%r13d, -684(%rbp)
	leaq	-692(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -680(%rbp)
	movl	%r13d, -676(%rbp)
	movl	%r12d, -672(%rbp)
	leaq	-680(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -668(%rbp)
	movl	%r13d, -664(%rbp)
	movl	%r12d, -660(%rbp)
	leaq	-668(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -656(%rbp)
	movl	$0x00000000, -652(%rbp)
	leaq	-656(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -648(%rbp)
	movl	$0x00000000, -644(%rbp)
	leaq	-648(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -640(%rbp)
	movl	%r14d, -636(%rbp)
	leaq	-640(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -632(%rbp)
	movl	%r14d, -628(%rbp)
	leaq	-632(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	.LC11(%rip), %r15d
	movl	%r15d, -624(%rbp)
	movl	$0x3f000000, -620(%rbp)
	movl	%ebx, -616(%rbp)
	movl	%ebx, -612(%rbp)
	leaq	-624(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -608(%rbp)
	movl	$0x3f000000, -604(%rbp)
	movl	%ebx, -600(%rbp)
	movl	%ebx, -596(%rbp)
	leaq	-608(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -592(%rbp)
	movl	$0x3f000000, -588(%rbp)
	movl	%ebx, -584(%rbp)
	movl	%ebx, -580(%rbp)
	leaq	-592(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -576(%rbp)
	movl	$0x3f000000, -572(%rbp)
	movl	%ebx, -568(%rbp)
	movl	%ebx, -564(%rbp)
	leaq	-576(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -560(%rbp)
	movl	%r13d, -556(%rbp)
	movl	%r13d, -552(%rbp)
	leaq	-560(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -548(%rbp)
	movl	%r12d, -544(%rbp)
	movl	%r13d, -540(%rbp)
	leaq	-548(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -536(%rbp)
	movl	%r12d, -532(%rbp)
	movl	%r12d, -528(%rbp)
	leaq	-536(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -524(%rbp)
	movl	%r13d, -520(%rbp)
	movl	%r12d, -516(%rbp)
	leaq	-524(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -512(%rbp)
	movl	$0x00000000, -508(%rbp)
	leaq	-512(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -504(%rbp)
	movl	%r14d, -500(%rbp)
	leaq	-504(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -496(%rbp)
	movl	%r14d, -492(%rbp)
	leaq	-496(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -488(%rbp)
	movl	$0x00000000, -484(%rbp)
	leaq	-488(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -480(%rbp)
	movl	$0x3f000000, -476(%rbp)
	movl	%ebx, -472(%rbp)
	movl	%ebx, -468(%rbp)
	leaq	-480(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -464(%rbp)
	movl	$0x3f000000, -460(%rbp)
	movl	%ebx, -456(%rbp)
	movl	%ebx, -452(%rbp)
	leaq	-464(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -448(%rbp)
	movl	$0x3f000000, -444(%rbp)
	movl	%ebx, -440(%rbp)
	movl	%ebx, -436(%rbp)
	leaq	-448(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -432(%rbp)
	movl	$0x3f000000, -428(%rbp)
	movl	%ebx, -424(%rbp)
	movl	%ebx, -420(%rbp)
	leaq	-432(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -416(%rbp)
	movl	%r13d, -412(%rbp)
	movl	%r13d, -408(%rbp)
	leaq	-416(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -404(%rbp)
	movl	%r13d, -400(%rbp)
	movl	%r13d, -396(%rbp)
	leaq	-404(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -392(%rbp)
	movl	%r12d, -388(%rbp)
	movl	%r13d, -384(%rbp)
	leaq	-392(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -380(%rbp)
	movl	%r12d, -376(%rbp)
	movl	%r13d, -372(%rbp)
	leaq	-380(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -368(%rbp)
	movl	$0x00000000, -364(%rbp)
	leaq	-368(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -360(%rbp)
	movl	$0x00000000, -356(%rbp)
	leaq	-360(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -352(%rbp)
	movl	%r14d, -348(%rbp)
	leaq	-352(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -344(%rbp)
	movl	%r14d, -340(%rbp)
	leaq	-344(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -336(%rbp)
	movl	$0x3f000000, -332(%rbp)
	movl	%ebx, -328(%rbp)
	movl	%ebx, -324(%rbp)
	leaq	-336(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -320(%rbp)
	movl	$0x3f000000, -316(%rbp)
	movl	%ebx, -312(%rbp)
	movl	%ebx, -308(%rbp)
	leaq	-320(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -304(%rbp)
	movl	$0x3f000000, -300(%rbp)
	movl	%ebx, -296(%rbp)
	movl	%ebx, -292(%rbp)
	leaq	-304(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -288(%rbp)
	movl	$0x3f000000, -284(%rbp)
	movl	%ebx, -280(%rbp)
	movl	%ebx, -276(%rbp)
	leaq	-288(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -272(%rbp)
	movl	%r13d, -268(%rbp)
	movl	%r12d, -264(%rbp)
	leaq	-272(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -260(%rbp)
	movl	%r12d, -256(%rbp)
	movl	%r12d, -252(%rbp)
	leaq	-260(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -248(%rbp)
	movl	%r12d, -244(%rbp)
	movl	%r13d, -240(%rbp)
	leaq	-248(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -236(%rbp)
	movl	%r13d, -232(%rbp)
	movl	%r13d, -228(%rbp)
	leaq	-236(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -224(%rbp)
	movl	$0x00000000, -220(%rbp)
	leaq	-224(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -216(%rbp)
	movl	%r14d, -212(%rbp)
	leaq	-216(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -208(%rbp)
	movl	%r14d, -204(%rbp)
	leaq	-208(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -200(%rbp)
	movl	$0x00000000, -196(%rbp)
	leaq	-200(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -192(%rbp)
	movl	$0x3f000000, -188(%rbp)
	movl	%ebx, -184(%rbp)
	movl	%ebx, -180(%rbp)
	leaq	-192(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -176(%rbp)
	movl	$0x3f000000, -172(%rbp)
	movl	%ebx, -168(%rbp)
	movl	%ebx, -164(%rbp)
	leaq	-176(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -160(%rbp)
	movl	$0x3f000000, -156(%rbp)
	movl	%ebx, -152(%rbp)
	movl	%ebx, -148(%rbp)
	leaq	-160(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r15d, -144(%rbp)
	movl	$0x3f000000, -140(%rbp)
	movl	%ebx, -136(%rbp)
	movl	%ebx, -132(%rbp)
	leaq	-144(%rbp), %rsi
	movl	$w_colors, %edi
	call	_ZNSt6vectorI7M_ColorSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -128(%rbp)
	movl	%r13d, -124(%rbp)
	movl	%r12d, -120(%rbp)
	leaq	-128(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -116(%rbp)
	movl	%r13d, -112(%rbp)
	movl	%r12d, -108(%rbp)
	leaq	-116(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r13d, -104(%rbp)
	movl	%r12d, -100(%rbp)
	movl	%r12d, -96(%rbp)
	leaq	-104(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r12d, -92(%rbp)
	movl	%r12d, -88(%rbp)
	movl	%r12d, -84(%rbp)
	leaq	-92(%rbp), %rsi
	movl	$w_vertices, %edi
	call	_ZNSt6vectorI8M_VertexSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -80(%rbp)
	movl	$0x00000000, -76(%rbp)
	leaq	-80(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -72(%rbp)
	movl	$0x00000000, -68(%rbp)
	leaq	-72(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	%r14d, -64(%rbp)
	movl	%r14d, -60(%rbp)
	leaq	-64(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$0x00000000, -56(%rbp)
	movl	%r14d, -52(%rbp)
	leaq	-56(%rbp), %rsi
	movl	$w_texCoords, %edi
	call	_ZNSt6vectorI8M_TexturSaIS0_EE12emplace_backIJS0_EEEvDpOT_
	movl	$vbos4, %esi
	movl	$4, %edi
	call	*__glewGenBuffers(%rip)
	movl	vbos4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	w_colors(%rip), %rdx
	movl	$400, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos4+4(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	w_texCoords(%rip), %rdx
	movl	$200, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	vbos4+8(%rip), %esi
	movl	$34962, %edi
	call	*__glewBindBuffer(%rip)
	movl	$35044, %ecx
	movq	w_vertices(%rip), %rdx
	movl	$300, %esi
	movl	$34962, %edi
	call	*__glewBufferData(%rip)
	movl	$1, %eax
	addq	$872, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3090:
	.size	_ZN6FLYBOX7initBoxEv, .-_ZN6FLYBOX7initBoxEv
	.type	_GLOBAL__sub_I_uniform4, @function
_GLOBAL__sub_I_uniform4:
.LFB3825:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	movq	$0, colors4(%rip)
	movq	$0, colors4+8(%rip)
	movq	$0, colors4+16(%rip)
	movl	$__dso_handle, %edx
	movl	$colors4, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, texCoords4(%rip)
	movq	$0, texCoords4+8(%rip)
	movq	$0, texCoords4+16(%rip)
	movl	$__dso_handle, %edx
	movl	$texCoords4, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, vertices4(%rip)
	movq	$0, vertices4+8(%rip)
	movq	$0, vertices4+16(%rip)
	movl	$__dso_handle, %edx
	movl	$vertices4, %esi
	movl	$_ZNSt6vectorIfSaIfEED1Ev, %edi
	call	__cxa_atexit
	movq	$0, w_colors(%rip)
	movq	$0, w_colors+8(%rip)
	movq	$0, w_colors+16(%rip)
	movl	$__dso_handle, %edx
	movl	$w_colors, %esi
	movl	$_ZNSt6vectorI7M_ColorSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	movq	$0, w_texCoords(%rip)
	movq	$0, w_texCoords+8(%rip)
	movq	$0, w_texCoords+16(%rip)
	movl	$__dso_handle, %edx
	movl	$w_texCoords, %esi
	movl	$_ZNSt6vectorI8M_TexturSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	movq	$0, w_vertices(%rip)
	movq	$0, w_vertices+8(%rip)
	movq	$0, w_vertices+16(%rip)
	movl	$__dso_handle, %edx
	movl	$w_vertices, %esi
	movl	$_ZNSt6vectorI8M_VertexSaIS0_EED1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3825:
	.size	_GLOBAL__sub_I_uniform4, .-_GLOBAL__sub_I_uniform4
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I_uniform4
	.local	_ZZN6FLYBOX6renderEfffjE16projectionMatrix
	.comm	_ZZN6FLYBOX6renderEfffjE16projectionMatrix,64,32
	.local	_ZZN6FLYBOX6renderEfffjE15modelviewMatrix
	.comm	_ZZN6FLYBOX6renderEfffjE15modelviewMatrix,64,32
	.globl	bot
	.bss
	.align 8
	.type	bot, @object
	.size	bot, 8
bot:
	.zero	8
	.globl	top
	.align 8
	.type	top, @object
	.size	top, 8
top:
	.zero	8
	.globl	wes
	.align 8
	.type	wes, @object
	.size	wes, 8
wes:
	.zero	8
	.globl	sou
	.align 8
	.type	sou, @object
	.size	sou, 8
sou:
	.zero	8
	.globl	eas
	.align 8
	.type	eas, @object
	.size	eas, 8
eas:
	.zero	8
	.globl	nor
	.align 8
	.type	nor, @object
	.size	nor, 8
nor:
	.zero	8
	.globl	w_vertices
	.align 16
	.type	w_vertices, @object
	.size	w_vertices, 24
w_vertices:
	.zero	24
	.globl	w_texCoords
	.align 16
	.type	w_texCoords, @object
	.size	w_texCoords, 24
w_texCoords:
	.zero	24
	.globl	w_colors
	.align 16
	.type	w_colors, @object
	.size	w_colors, 24
w_colors:
	.zero	24
	.globl	vertices4
	.align 16
	.type	vertices4, @object
	.size	vertices4, 24
vertices4:
	.zero	24
	.globl	texCoords4
	.align 16
	.type	texCoords4, @object
	.size	texCoords4, 24
texCoords4:
	.zero	24
	.globl	colors4
	.align 16
	.type	colors4, @object
	.size	colors4, 24
colors4:
	.zero	24
	.globl	cubeMapTexAD
	.align 4
	.type	cubeMapTexAD, @object
	.size	cubeMapTexAD, 4
cubeMapTexAD:
	.zero	4
	.globl	w_texID
	.align 16
	.type	w_texID, @object
	.size	w_texID, 24
w_texID:
	.zero	24
	.globl	w_images
	.align 32
	.type	w_images, @object
	.size	w_images, 48
w_images:
	.zero	48
	.globl	f
	.align 4
	.type	f, @object
	.size	f, 4
f:
	.zero	4
	.globl	vbos4
	.align 16
	.type	vbos4, @object
	.size	vbos4, 16
vbos4:
	.zero	16
	.globl	box4
	.align 32
	.type	box4, @object
	.size	box4, 72
box4:
	.zero	72
	.globl	png4
	.type	png4, @object
	.size	png4, 1
png4:
	.zero	1
	.globl	targa4
	.type	targa4, @object
	.size	targa4, 1
targa4:
	.zero	1
	.globl	uniform4
	.align 32
	.type	uniform4, @object
	.size	uniform4, 80
uniform4:
	.zero	80
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC5:
	.long	1008981770
	.align 4
.LC6:
	.long	1060320051
	.align 4
.LC7:
	.long	-1035468800
	.align 4
.LC8:
	.long	1112014848
	.align 4
.LC10:
	.long	1065353216
	.align 4
.LC11:
	.long	1050253722
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
